Bug 226324 - Merge Review: psutils
Merge Review: psutils
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: psutils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Popelka
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 15:44 EST by Nobody's working on this, feel free to take it
Modified: 2015-02-12 07:02 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-12 07:02:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Modified SPEC (4.28 KB, text/x-rpm-spec)
2008-01-15 04:02 EST, Parag AN(पराग)
no flags Details
a script to remove the copyrighted files from the tarball (211 bytes, text/plain)
2010-01-26 09:18 EST, Daniel Novotny
no flags Details
patch for the Makefile (2.09 KB, patch)
2010-01-26 09:20 EST, Daniel Novotny
no flags Details | Diff
Proposed packaging fixes (2.78 KB, patch)
2014-04-08 10:45 EDT, Ralf Corsepius
no flags Details | Diff

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 15:44:09 EST
Fedora Merge Review: psutils

http://cvs.fedora.redhat.com/viewcvs/devel/psutils/
Initial Owner: mbacovsk@redhat.com
Comment 1 Parag AN(पराग) 2008-01-15 03:53:13 EST
1) use macros. replace /usr/bin with %{_bindir}and /usr/lib with %{_libdir}
2)you can even write defattr as defattr(-,root,root,-)
3)buildroot is wrong make it similar to given at
http://fedoraproject.org/wiki/Packaging/Guidelines#head-b4fdd45fa76cbf54c885ef0836361319ab962473
4)rpmlint gave me
psutils.i386: E: tag-not-utf8 %changelog
psutils.i386: W: invalid-license distributable
psutils.i386: W: no-url-tag
psutils.i386: E: only-non-binary-in-usr-lib
psutils.src: E: non-utf8-spec-file
/tmp/psutils-1.17-27.fc9.src.rpm.4019/psutils.spec
psutils.src:48: E: hardcoded-library-path in /usr/lib/psutils
psutils.src:141: W: macro-in-%changelog attr
psutils.src: E: tag-not-utf8 %changelog
psutils.src: W: invalid-license distributable
psutils.src: W: no-url-tag
Comment 2 Parag AN(पराग) 2008-01-15 04:02:31 EST
Created attachment 291696 [details]
Modified SPEC

Only you need to add correct License tag here which I think is "Freely
redistributable without restriction"
Comment 3 Martin Bacovsky 2009-04-28 13:33:13 EDT
I found out this bug is waiting on me. Since I'm no longer maintainer of psutils, I changed the needinfo requestee to the current one.
Comment 4 Dan Horák 2009-12-03 09:20:07 EST
few initial notes:
- I've found the homepage at http://www.tardis.ed.ac.uk/~ajcd/psutils/ and downloadable archive as ftp://ftp.knackered.org/pub/psutils/psutils-p17.tar.gz, so the URL and Source tags can be filled
- I see a licensing problem with the md??_0.ps files that should be copyrighted by Apple per the author

The spec file looks good overall.
Comment 5 Daniel Novotny 2009-12-22 09:27:00 EST
OK, the "URL" and "Source" links can be added.

About the licensing problem: I e-mailed the author of the package, whether he has some more information about this. The files are used in "fixmacps" utility, which fixes PostScript files generated on Mac computers.

If the license will still be a problem, we will have to exclude this utility and these two files from the package.

p.s. I have uploaded http://people.fedoraproject.org/~dnovotny/f/psutils.spec with the latest changes (currently added "URL" and "Source")
Comment 6 Dan Horák 2010-01-04 04:25:36 EST
(In reply to comment #5)
> OK, the "URL" and "Source" links can be added.
> 
> About the licensing problem: I e-mailed the author of the package, whether he
> has some more information about this. The files are used in "fixmacps" utility,
> which fixes PostScript files generated on Mac computers.
> 
> If the license will still be a problem, we will have to exclude this utility
> and these two files from the package.

Only Fedora Legal can give the definitive answer, but in my opinion we are not allowed to distribute such files and they have to removed even from the source archive.
Comment 7 Tom "spot" Callaway 2010-01-25 11:34:45 EST
Best guess is that these postscript files were taken from LaserPrep prologs (see: http://www.cam.ctan.org/tex-archive/graphics/psfig/unsupported/macdemo/). 

Either way, we don't have permission to redistribute them. They need to be removed, even from the source archive. This should not be a problem, because only very old versions of Mac OS have problems with generating proper files (it was literally solved almost 20 years ago), and there should be almost no files which need this specific utility anymore.

Keeping FE-Legal in place until these files are removed.
Comment 8 Daniel Novotny 2010-01-26 09:18:16 EST
Created attachment 386836 [details]
a script to remove the copyrighted files from the tarball

This script can be used to turn the original upstream tarball into a "copyright-safe" version. The makefile needs to be patched for the build process to work without the files, I will attach the patch too.
Comment 9 Daniel Novotny 2010-01-26 09:20:15 EST
Created attachment 386837 [details]
patch for the Makefile

a patch for the Makefile to work with the copyright-safe tarball

I will include the files in the srpm and make a new build with this change
Comment 10 Daniel Novotny 2010-01-26 10:33:39 EST
built psutils-1.17-34.fc13 with these changes
http://koji.fedoraproject.org/koji/taskinfo?taskID=1945834
spec is on http://people.fedoraproject.org/~dnovotny/f/psutils.spec
Comment 11 Tom "spot" Callaway 2010-04-19 14:39:49 EDT
Daniel, it would be better if your script renamed the tarball to be something like: psutils-p17-clean.tar.gz

As it is, your Source line implies that it is using the upstream tarball, which is not correct. I would change it like this:

# We cannot use the upstream tarball because it contains non-free files.
# To generate a clean tarball, run the psutils-remove-copyrighted-files script.
# Source: ftp://ftp.knackered.org/pub/psutils/psutils-p17.tar.gz
Source0: psutils-p17-clean.tar.gz
Comment 12 Tom "spot" Callaway 2010-04-19 14:41:25 EDT
With that said, the files are no longer present in the rawhide SRPM, so I'm lifting FE-Legal here.
Comment 13 Daniel Novotny 2010-04-22 07:00:19 EDT
(In reply to comment #11): OK, made this change in rawhide
http://koji.fedoraproject.org/koji/taskinfo?taskID=2131737
spec is on http://people.fedoraproject.org/~dnovotny/f/psutils.spec
Comment 14 Dan Horák 2014-04-01 11:15:05 EDT
before we close this old merge review, I think there are 2 issues that should be resolved:
- you should use the wildcard style for man pages in %files, instead of %{_mandir}/man1/epsffit.1.gz use %{_mandir}/man1/epsffit.1*, the compression is done by rpmbuild itself and when the algorithm changes, the spec file won't require a change
- I don't think is is necessary to hard Require: perl in the perl subpackage, perl (the interpreter) will be brought in with the automagically added dependencies
Comment 15 Ralf Corsepius 2014-04-01 13:50:14 EDT
Some remarks from the perspective of a perl-packager:

* These 2 "#!/usr/bin/env perl" need to be replaced with %{__perl} (/usr/bin/perl) in %prep or %build:

psutils-1.23/extractres:#!/usr/bin/env perl
psutils-1.23/psjoin:#!/usr/bin/env perl

* These BRs: are missing:
BR: perl(File::Basename)
BR: perl(Getopt::Long)
BR: perl(strict)
BR: perl(warnings)
Comment 16 Ralf Corsepius 2014-04-01 13:58:45 EDT
Another remark:
What is the reason for the the -*perl vs. <main> split?

/usr/bin/psjoin is a perl-script and is part of the <main> package, and is not part of the *-perl sub-package. 

It's at least one reason for the main package to pull-in perl and several perl modules, which means having a *-perl subpackage is rather pointless dependency-wise:

# rpm -q --requires -p results_psutils/1.23/2.fc21/psutils-1.23-2.fc21.x86_64.rpm
...
perl(Getopt::Long)
perl(strict)
perl(warnings)
...

# rpm -q --requires -p results_psutils/1.23/2.fc21/psutils-
...
perl-1.23-2.fc21.noarch.rpm 
/usr/bin/env
perl
perl(File::Basename)
perl(Getopt::Long)
perl(strict)
perl(warnings)
...
Comment 17 Tom "spot" Callaway 2014-04-01 22:54:31 EDT
If I had to guess, I'd say someone was trying to make a package split to minimize dependency footprint in the default install. They clearly didn't achieve it though or they did at one point and perl crept back in.
Comment 18 Ralf Corsepius 2014-04-02 04:04:20 EDT
(In reply to Tom "spot" Callaway from comment #17)
> If I had to guess, I'd say someone was trying to make a package split to
> minimize dependency footprint in the default install.

Yep, seems so:

commit bd352b89ba9c6872eba5afa83fa21fe1c0ce6039
Author: Adam Jackson <ajax@fedoraproject.org>
Date:   Wed Jul 22 19:11:59 2009 +0000

    - Split perl scripts to a subpackage. 


> They clearly didn't
> achieve it though or they did at one point and perl crept back in.
Apparently the latter. psjoin was added by this commit, which causes perl to creep-in:

commit d3e42a7fc02b8777678f0f9bd0fa8697e6479908
Author: Jiri Popelka <jpopelka@redhat.com>
Date:   Tue Oct 22 17:17:04 2013 +0200

    new upstream (version 1.21)


IMO, this split contradicts end-user usability and therefore should be dropped.
Comment 19 Ralf Corsepius 2014-04-08 10:45:10 EDT
Created attachment 884104 [details]
Proposed packaging fixes

OK to apply this patch? I intend to apply it unless the nominal maintainer objects within the next 24 hours.

It is supposed to fix the perl-related and hardcoded man/*.gz issues, but for now leaves the package-split issue alone.
Comment 20 Ralf Corsepius 2014-04-10 05:08:47 EDT
(In reply to Ralf Corsepius from comment #19)
> OK to apply this patch? I intend to apply it unless the nominal maintainer
> objects within the next 24 hours.

No response, patch applied to rawhide, now:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6723014

Still an open issue: The dysfunctional *-perl split.
Comment 21 Ralf Corsepius 2014-04-23 01:27:13 EDT
Trying to get the current maintainer involved.

I just realized, this package seems to have changed maintainer, with this bug apparently not having been reassigned to the current maintainer.

Jiri, please respond to the dysfunctional *-perl split.
Comment 22 Jiri Popelka 2014-04-23 11:42:19 EDT
(In reply to Ralf Corsepius from comment #18)
> psjoin was added by this commit, which causes perl to creep-in:
> Author: Jiri Popelka
>     new upstream (version 1.21)

Yes, putting psjoin in main package has been my mistake,
which should be fixed with
http://pkgs.fedoraproject.org/cgit/psutils.git/commit/?id=0b49e8d7f49a4e56115c8a44f26a9fd319266857

> IMO, this split contradicts end-user usability and therefore should be
> dropped.

No idea why ajax made that split, so I'll leave it as it is for now.
Comment 23 Cole Robinson 2015-02-11 15:38:35 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.
Comment 24 Jiri Popelka 2015-02-12 07:02:19 EST
IFAICT the only leftover problem here was that psutils main package was requiring perl, which should be fixed now, so I'm closing this BZ.

# rpm -q --requires psutils | grep perl
# <nothing>

Note You need to log in before you can comment on or make changes to this bug.